Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.ide
Class VAJLoadProjects

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.optional.ide.VAJLoadProjects

public class VAJLoadProjects
extends Task

Load specific project versions into the Visual Age for Java workspace. Each project and version name has to be specified completely. Example:

> <vajload> <project name="MyVAProject" version="2.1"/> <project name="Apache Xerces" version="1.2.0"/> </vajload>

Author:
  Wolf Siberski, TUI Infotec GmbH

Inner Class Summary
`class` | `VAJLoadProjects.VAJProjectDescription` Class to maintain VisualAge for Java Workspace Project descriptions.

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`VAJLoadProjects()`

Method Summary
`VAJLoadProjects.VAJProjectDescription` | `createVAJProject()` Add a project description entry on the project list.
`void` | `execute()` Load specified projects.
`void` | `expandDescriptions()`
`static java.util.Vector` | `findMatchingProjects(java.lang.String pattern)`
`static com.ibm.ivj.util.base.ProjectEdition` | `findProjectEdition(java.lang.String name, java.lang.String versionName)` Finds a specific project edition in the repository.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VAJLoadProjects

    public VAJLoadProjects()

Method Detail

### createVAJProject

    public VAJLoadProjects.VAJProjectDescription createVAJProject()

  Add a project description entry on the project list.

### execute

    public void execute()

  Load specified projects.
  Overrides:
    `execute` in class `Task`
  Following copied from class: `org.apache.tools.ant.Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

### expandDescriptions

    public void expandDescriptions()

### findMatchingProjects

    public static java.util.Vector findMatchingProjects(java.lang.String pattern)

### findProjectEdition

    public static com.ibm.ivj.util.base.ProjectEdition findProjectEdition(java.lang.String name,
                                                                          java.lang.String versionName)

  Finds a specific project edition in the repository.
  Parameters:
    `name` - project name
    `versionName` - project version name
  Returns:
    com.ibm.ivj.util.base.ProjectEdition

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.